=== modified file 'NEWS'
--- NEWS	2010-07-08 10:34:12 +0000
+++ NEWS	2010-07-09 21:02:54 +0000
@@ -9,7 +9,21 @@
 #########
 
 :Codename: Monkey Magic
-:2.2b4: NOT RELEASED YET
+:2.2b4: 2004-07-09
+
+
+This fourth and final beta in the 2.2 series now stabilizes the internal
+APIs. Plugin authors are recommended to ensure their releases are
+compatible, so that 2.2rc1 can be a true release candidate, containing
+stable and compatible plugin versions. 
+
+For users of bzrlib as a library, one of the primary changes is to request
+that they call ``bzrlib.initialize`` and use the returned context manager
+appropriately.
+
+Better interaction with ``bzr-loom`` to make sure branching from a loom
+even over a smart server still yields a local loom. Not to mention lots of
+bugfixes over 2.2b3.
 
 Compatibility Breaks
 ********************
@@ -21,11 +35,6 @@
   exiting the program, and it made sense to provide a full context
   manager at the same time. (Robert Collins)
 
-* ``bzrlib.re_compile_checked`` is now deprecated. Caller should handle
-  ``bzrlib.errors.InvalidPattern`` exception thrown by ``re.match`` in
-  case the default error message not suitable for the use case.
-  (Parth Malwankar)
-
 * The ``bzr`` front end now requires a ``bzrlib.ui.ui_factory`` which is a
   context manager in the Python 2.5 and above sense. The bzrlib base class
   is such a manager, but third party UI factories which do not derive from
@@ -184,6 +193,11 @@
   2007, has been deleted.  Use ``PatienceSequenceMatcher`` from
   ``bzrlib.patiencediff`` instead. (Andrew Bennetts)
 
+* ``bzrlib.re_compile_checked`` is now deprecated. Caller should handle
+  ``bzrlib.errors.InvalidPattern`` exception thrown by ``re.match`` in
+  case the default error message not suitable for the use case.
+  (Parth Malwankar)
+
 * ``bzrlib.tests.blackbox.ExternalBase`` is deprecated.  It provided only
   one method ``check_output``, and we now recommend checking command
   output using ``run_script``. (Martin Pool)

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2010-07-02 22:44:00 +0000
+++ bzrlib/__init__.py	2010-07-09 21:02:54 +0000
@@ -52,7 +52,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 2, 0, 'beta', 3)
+version_info = (2, 2, 0, 'beta', 4)
 
 # API compatibility version
 api_minimum_version = (2, 2, 0)

